#------------------------------------------------------------------------------
#    59Tracker, weblog software for personal publisher.
#    Copyright (C) 2008 Kaga, Hiroaki
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#------------------------------------------------------------------------------

package APPLIB::Conf;

require "config.cgi";

# RXgN^
sub new {
	my $this = {};

	# f[^̏
	$this->{SystemDir} = $system_dir;	# VXefBNg
	$this->{DataDir} = $data_dir;		# f[^fBNg
	$this->{DocrootDir} = $docroot_dir;	# [gfBNg
	$this->{NotifyMail} = $notify_mail;		# [Œʒm邩 0:ʒm 1:ʒm
	$this->{SendmailPath} = $sendmail;			# sendmail̃pX
	$this->{ToAddress} = $to_address;		# M惁[AhX
	$this->{FromAddress} = $from_address;		# M[AhX
	$this->{ExcerptLength} = $excerpt_length;	# gbNobNM̗v̒
	$this->{SummaryLength} = $summary_length;	# v̒
	$this->{Anonymous} = $anonymous;		# ̏ꍇ̑֕
	$this->{SiteTitle} = $site_title;		# TCgiuOj
	$this->{SubTitle} = $sub_title;			# TCg̃Tu^Cg
	$this->{NewTopicNum} = $new_topic_num;	# ŐVgsbN
	$this->{OpenTopicNum} = $open_topic_num;	# I[vgsbN
	$this->{CommentTarget} = $comment_target;	# Rg̃AJ[^O
	$this->{TrackbackTarget} = $trackback_target;	# gbNobÑAJ[^O
	$this->{LinkTarget} = $link_target;	# ֘ÃAJ[^O
	$this->{ResultCount} = $result_count;	# ʂɕ\鍀ڐ
	$this->{DateUpdate} = $date_update;		# XV 0:XVȂ 1:XV
	$this->{AddUpdate} = $add_update;		# XV֒ǉ 0:ǉȂ 1:ǉ
	$this->{IndexRebuild} = $index_rebuild;		# CfbNX̍č\z
	$this->{GoodPoint} = $good_point;		# ]ǂ
	$this->{NormalPoint} = $normal_point;	# ]ʁAgbNobN
	$this->{BadPoint} = $bad_point;			# ]

	$this->{LockSh} = $LOCK_SH;
	$this->{LockEx} = $LOCK_EX;
	$this->{LockNb} = $LOCK_NB;
	$this->{LockUn} = $LOCK_UN;

	bless($this);
	return $this;
}

# VXefBNg
sub SystemDir {
	my $this = shift;
	return $this->{SystemDir};
}

# f[^fBNg
sub DataDir {
	my $this = shift;
	return $this->{DataDir};
}

# [gfBNg
sub DocrootDir {
	my $this = shift;
	return $this->{DocrootDir};
}

# [Œʒm邩 0:ʒm 1:ʒm
sub NotifyMail {
	my $this = shift;
	return $this->{NotifyMail};
}

# sendmail̃pX
sub SendmailPath {
	my $this = shift;
	return $this->{SendmailPath};
}

# M惁[AhX
sub ToAddress {
	my $this = shift;
	return $this->{ToAddress};
}

# M[AhX
sub FromAddress {
	my $this = shift;
	return $this->{FromAddress};
}

# gbNobNM̗v̒
sub ExcerptLength {
	my $this = shift;
	return $this->{ExcerptLength};
}

# v̒
sub SummaryLength {
	my $this = shift;
	return $this->{SummaryLength};
}

# ̏ꍇ̑֕
sub Anonymous {
	my $this = shift;
	return $this->{Anonymous};
}

# TCg
sub SiteTitle {
	my $this = shift;
	return $this->{SiteTitle};
}

# TCg̃Tu^Cg
sub SubTitle {
	my $this = shift;
	return $this->{SubTitle};
}

# VgsbN
sub NewTopicNum {
	my $this = shift;
	return $this->{NewTopicNum};
}

# I[vgsbN
sub OpenTopicNum {
	my $this = shift;
	return $this->{OpenTopicNum};
}

# Rg̃AJ[^O
sub CommentTarget {
	my $this = shift;
	return $this->{CommentTarget};
}

# gbNobÑAJ[^O
sub TrackbackTarget {
	my $this = shift;
	return $this->{TrackbackTarget};
}

# ֘ÃAJ[^O
sub LinkTarget {
	my $this = shift;
	return $this->{LinkTarget};
}

# ʂɕ\鍀ڐ
sub ResultCount {
	my $this = shift;
	return $this->{ResultCount};
}

# XV 0:XVȂ 1:XV
sub DateUpdate {
	my $this = shift;
	return $this->{DateUpdate};
}

# XV֒ǉ 0:ǉȂ 1:ǉ
sub AddUpdate {
	my $this = shift;
	return $this->{AddUpdate};
}

# CfbNX̍č\z
sub IndexRebuild {
	my $this = shift;
	return $this->{IndexRebuild};
}

# ]ǂ
sub GoodPoint {
	my $this = shift;
	return $this->{GoodPoint};
}

# ]ʁAgbNobN
sub NormalPoint {
	my $this = shift;
	return $this->{NormalPoint};
}

# ]
sub BadPoint {
	my $this = shift;
	return $this->{BadPoint};
}

sub LockSh {
	my $this = shift;
	return $this->{LockSh};
}

sub LockEx {
	my $this = shift;
	return $this->{LockEx};
}

sub LockNb {
	my $this = shift;
	return $this->{LockNb};
}

sub LockUn {
	my $this = shift;
	return $this->{LockUn};
}

1;
# End of Conf.pm
