#!/usr/bin/perl
#------------------------------------------------------------------------------
#    59bbs, bulletin board system for anonymous publisher.
#    Copyright (C) 2007,2008 Kaga, Hiroaki
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#------------------------------------------------------------------------------

# テンプレート、ユーザー一覧ファイル、トピックカウンターファイルが格納されるディレクトリ
$system_dir = "system";

# 各種データファイルが格納されるディレクトリ
$data_dir = "data";

# 59bbsが動作するディレクトリ(CGI、HTMLファイルを格納)
$docroot_dir = "http://localhost/59bbs1_4";

# メールで通知するかどうか 0:非通知 1:通知
$notify_mail = 0;

# sendmailのパス
$sendmail = '/usr/sbin/sendmail';

# 送信先メールアドレス
$to_address = 'support@59bbs.org';

# 送信元メールアドレス
$from_address = $to_address;

# トラックバック送受信時の要約の長さ
$excerpt_length = 200;

# 要約の長さ
$summary_length = 150;

# 匿名の場合の代替文字列
$anonymous = "投稿人";

# サイト（ブログ）名
$site_title = "掲示板 59bbs.org";

# サイトのサブタイトル
$sub_title = "オープンソースの掲示板ソフト「59bbs」で運営中のブログ風掲示板";

# 最新トピック数
$new_topic_num = 20;

# オープントピック数
$open_topic_num = 5;

# コメント中のアンカータグでの「target="_blank"」の指定
$comment_target = "target=\"_blank\"";

# トラックバックのアンカータグでの「target="_blank"」の指定
$trackback_target = "target=\"_blank\"";

# 関連情報のアンカータグでの「target="_blank"」の指定
$link_target = "";

# 検索結果に表示する項目数
$result_count = 20;

# トピック更新時の日時更新 0:更新しない 1:更新する
$date_update = 0;

# トピック更新時の更新情報への追加 0:追加しない 1:追加する
$add_update = 0;

# 再構築時にインデックスの再構築も行なうか
$index_rebuild = 0;

# コメント、トラックバック時のポイント加算
$good_point = 4;		# コメントの評価が良い
$normal_point = 1;		# コメントの評価が普通、トラックバック
$bad_point = -2;		# コメントの評価が悪い

$LOCK_SH = 1;
$LOCK_EX = 2;
$LOCK_NB = 4;
$LOCK_UN = 8;

1;
